Subject: [v6ops] draft-fioccola-v6ops-ipv6-alt-mark discussion

From: Fred Baker <[email-masked]>
Date: Sat, 7 Apr 2018 22:00:21 -0700

At IETF 101, Giuseppe Fioccola presented draft-fioccola-v6ops-ipv6-alt-mark. The draft is at https://tools.ietf.org/html/draft-fioccola-v6ops-ipv6-alt-mark, and his presentation deck is at https://datatracker.ietf.org/meeting/101/materials/slides-101-v6ops-ipv6-performance-measurement-with-alternate-marking-method-00.

There was also discussion in 6man regarding the encoding mechanism. I'll refer you to the 6man minutes for that discussion. But to that end, Roberta Maglione, Giuseppe Fioccola, Bob Hinden, Ole Troan, and I met for breakfast to discuss this draft. The issue has to do with the placement of bits and the service provided. The general consensus, as I understand it, was to recommend that the authors consider the Conex extension in

https://tools.ietf.org/html/rfc7837
7837 IPv6 Destination Option for Congestion Exposure (ConEx). S.
     Krishnan, M. Kuehlewind, B. Briscoe, C. Ralli. May 2016. (Format:
     TXT=29708 bytes) (Status: EXPERIMENTAL) (DOI: 10.17487/RFC7837)

and consider how to use unused fields in it in the Hop-by-hop Header. Ideally, that means including the HBH Header and the indicated option as transmitted by the source system, so that other systems en route can inspect and/or update it.

Giuseppe will use the existing draft as a vehicle for the present, but it may or may not be discussed in v6ops. Bob would like Giuseppe to remove the discussion of the several possible placements and only discuss this option. It would also be wise for Giuseppe to correspond with the authors of that RFC, in accordance with the definition of "experimental" in RFC 2026, to ensure that he and they don't somehow trip over each other.

I would like to invite v6ops discussion. This especially includes the question of whether it makes useful recommendations for your operational environment.

Related documents include:
https://tools.ietf.org/html/draft-fioccola-ippm-multipoint-alt-mark
  "Multipoint Alternate Marking method for passive and hybrid performance
  monitoring", Giuseppe Fioccola, Mauro Cociglio, Amedeo Sapio, Riccardo
  Sisto, 2018-03-01

https://tools.ietf.org/html/draft-fioccola-spring-flow-label-alt-mark
  "Using the IPv6 Flow Label for Performance Measurement with Alternate
  Marking Method in Segment Routing", Giuseppe Fioccola, Gunter Van de Velde,
  Mauro Cociglio, Praveen Muley, 2017-10-26,

https://tools.ietf.org/html/draft-fioccola-v6ops-ipv6-alt-mark
  "IPv6 Performance Measurement with Alternate Marking Method", Giuseppe
  Fioccola, Gunter Van de Velde, Mauro Cociglio, Praveen Muley, 2018-02-26,

https://tools.ietf.org/html/draft-fmm-nvo3-pm-alt-mark
  "Performance Measurement (PM) with Alternate Marking in Network
  Virtualization Overlays (NVO3)", Giuseppe Fioccola, Gregory Mirsky, Tal
  Mizrahi, 2018-03-02

https://tools.ietf.org/html/rfc8321
8321 Alternate-Marking Method for Passive and Hybrid Performance
     Monitoring. G. Fioccola, Ed., A. Capello, M. Cociglio, L.
     Castaldelli, M. Chen, L. Zheng, G. Mirsky, T. Mizrahi. January 2018.
     (Format: TXT=84513 bytes) (Status: EXPERIMENTAL) (DOI:
     10.17487/RFC8321)

---

From: Fioccola Giuseppe <[email-masked]>
Date: Tue, 10 Apr 2018 08:44:54 +0000

Hi Fred,
Thank you for the detailed recap.
I would only confirm that we will work on a new revision of draft-fioccola-v6ops-ipv6-alt-mark and propose the use of 2 bits from the reserved field in the RFC7837 ConEx extension to encode the marking method. In addition it will be used as HBH Header.

Feedbacks from the WG are welcome.

Best Regards,

Giuseppe

-----Messaggio originale-----
Da: v6ops [mailto:[email-masked]] Per conto di Fred Baker
Inviato: domenica 8 aprile 2018 07:00
A: V6 Ops List
Oggetto: [v6ops] draft-fioccola-v6ops-ipv6-alt-mark discussion

Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle persone indicate. La diffusione, copia o qualsiasi altra azione derivante dalla conoscenza di queste informazioni sono rigorosamente vietate. Qualora abbiate ricevuto questo documento per errore siete cortesemente pregati di darne immediata comunicazione al mittente e di provvedere alla sua distruzione, Grazie. 

This e-mail and any attachments is confidential and may contain privileged information intended for the addressee(s) only. Dissemination, copying, printing or use by anybody else is unauthorised. If you are not the intended recipient, please delete this message and any attachments and advise the sender by return e-mail, Thanks. 

Rispetta l'ambiente. Non stampare questa mail se non è necessario.

---

From: "Ackermann, Michael" <[email-masked]>
Date: Tue, 10 Apr 2018 14:19:56 +0000

Feedback as an enterprise operator that is hopefully a future user.  

I think this capability would be very beneficial and be a good compliment to PDM / RFC8250.     In particular for heath determination of intermediate node links.  

Nalini and I hope to work with Giuseppe and his team towards this end .

Thanks

Mike

-----Original Message-----
From: v6ops [mailto:[email-masked]] On Behalf Of Fioccola Giuseppe
Sent: Tuesday, April 10, 2018 4:45 AM
To: Fred Baker <[email-masked]>; V6 Ops List <[email-masked]>
Cc: [email-masked]
Subject: [v6ops] R: draft-fioccola-v6ops-ipv6-alt-mark discussion

Hi Fred,

Best Regards,

Giuseppe

-----Messaggio originale-----
Da: v6ops [mailto:[email-masked]] Per conto di Fred Baker
Inviato: domenica 8 aprile 2018 07:00
A: V6 Ops List
Oggetto: [v6ops] draft-fioccola-v6ops-ipv6-alt-mark discussion

At IETF 101, Giuseppe Fioccola presented draft-fioccola-v6ops-ipv6-alt-mark.. The draft is at https://tools.ietf.org/html/draft-fioccola-v6ops-ipv6-alt-mark, and his presentation deck is at https://datatracker.ietf.org/meeting/101/materials/slides-101-v6ops-ipv6-performance-measurement-with-alternate-marking-method-00.

_______________________________________________
v6ops mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/v6ops

The information contained in this communication is highly confidential and is intended solely for the use of the individual(s) to whom this communication is directed. If you are not the intended recipient, you are hereby notified that any viewing, copying, disclosure or distribution of this information is prohibited. Please notify the sender, by electronic mail or telephone, of any unintended receipt and delete the original message without making any copies.
 
 Blue Cross Blue Shield of Michigan and Blue Care Network of Michigan are nonprofit corporations and independent licensees of the Blue Cross and Blue Shield Association.

---

From: Fioccola Giuseppe <[email-masked]>
Date: Wed, 11 Apr 2018 09:01:12 +0000

Hi Michael,
Thank you for your good opinion! We are considering RFC7837 but we are open to other use cases too.
I also hope to work with you on this.

Best Regards,

Giuseppe

-----Messaggio originale-----
Da: Ackermann, Michael [mailto:[email-masked]] 
Inviato: martedì 10 aprile 2018 16:20
A: Fioccola Giuseppe; Fred Baker; V6 Ops List
Cc: [email-masked]
Oggetto: RE: [v6ops] R: draft-fioccola-v6ops-ipv6-alt-mark discussion

Thanks

Mike

-----Original Message-----
From: v6ops [mailto:[email-masked]] On Behalf Of Fioccola Giuseppe
Sent: Tuesday, April 10, 2018 4:45 AM
To: Fred Baker <[email-masked]>; V6 Ops List <[email-masked]>
Cc: [email-masked]
Subject: [v6ops] R: draft-fioccola-v6ops-ipv6-alt-mark discussion

Hi Fred,

Best Regards,

Giuseppe

---

From: "Ackermann, Michael" <[email-masked]>
Date: Wed, 11 Apr 2018 14:21:14 +0000

Thanks Guiseppe.

And just to be clear,  I was not suggesting that marking needs to be implemented in DOH,  just because PDM did it that way.     PDM is not concerned with middle boxes changing fields/data,  as it is a host/end point implementation. 
Marking will have other considerations,  so a different implementation may be appropriate.   I do not pretend to know at this point,  but will gladly work with you towards that end,  so that we may someday have both tools to help manage our networks.  

Thanks again!

Mike

-----Original Message-----
From: Fioccola Giuseppe [mailto:[email-masked]] 
Sent: Wednesday, April 11, 2018 5:01 AM
To: Ackermann, Michael <[email-masked]>; Fred Baker <[email-masked]>; V6 Ops List <[email-masked]>
Cc: [email-masked]
Subject: R: [v6ops] R: draft-fioccola-v6ops-ipv6-alt-mark discussion

Hi Michael,

Best Regards,

Giuseppe

-----Messaggio originale-----
Da: Ackermann, Michael [mailto:[email-masked]] 
Inviato: martedì 10 aprile 2018 16:20
A: Fioccola Giuseppe; Fred Baker; V6 Ops List
Cc: [email-masked]
Oggetto: RE: [v6ops] R: draft-fioccola-v6ops-ipv6-alt-mark discussion

Thanks

Mike

-----Original Message-----
From: v6ops [mailto:[email-masked]] On Behalf Of Fioccola Giuseppe
Sent: Tuesday, April 10, 2018 4:45 AM
To: Fred Baker <[email-masked]>; V6 Ops List <[email-masked]>
Cc: [email-masked]
Subject: [v6ops] R: draft-fioccola-v6ops-ipv6-alt-mark discussion

Hi Fred,

Best Regards,

Giuseppe